Board index FlightGear Support Compiling

libpng12-dev is not availabile

Building FlightGear from source, and in the need for help?

libpng12-dev is not availabile

Postby edroberts1943 » Sat Oct 22, 2016 7:53 am

I am attempting to compile fg on Umbutu. Required library libpng12-dev is not available. Any suggestions?
edroberts1943
 
Posts: 30
Joined: Sun Sep 11, 2016 8:08 pm
Location: Poquoson, Virginia, USA
Callsign: N9991W

Re: libpng12-dev is not availabile

Postby wkitty42 » Sat Oct 22, 2016 9:46 am

did you install the package? it exists in at least five ubuntu repos http://packages.ubuntu.com/search?keywords=libpng12-dev

PS: there's no 'm' in ubuntu ;)
"You get more air close to the ground," said Angalo. "I read that in a book. You get lots of air low down, and not much when you go up."
"Why not?" said Gurder.
"Dunno. It's frightened of heights, I guess."
User avatar
wkitty42
 
Posts: 6966
Joined: Fri Feb 20, 2015 3:46 pm
Location: central NC, USA
Callsign: wk42
Version: git next
OS: Kubuntu 20.04

Re: libpng12-dev is not availabile

Postby edroberts1943 » Sat Oct 22, 2016 2:22 pm

wkitty42 wrote in Sat Oct 22, 2016 9:46 am:did you install the package? it exists in at least five ubuntu repos http://packages.ubuntu.com/search?keywords=libpng12-dev

PS: there's no 'm' in ubuntu ;)


Thanks! I am new to ubuntu and did not know where to look.

Ed R.
edroberts1943
 
Posts: 30
Joined: Sun Sep 11, 2016 8:08 pm
Location: Poquoson, Virginia, USA
Callsign: N9991W

Re: libpng12-dev is not availabile

Postby wkitty42 » Sat Oct 22, 2016 4:35 pm

ahhh... ok, if you are running one of those ubuntu versions, then

apt-get install libpng12-dev

should pull it in and install it for you...

how are you compiling your FG? are you using a pre-made script?
"You get more air close to the ground," said Angalo. "I read that in a book. You get lots of air low down, and not much when you go up."
"Why not?" said Gurder.
"Dunno. It's frightened of heights, I guess."
User avatar
wkitty42
 
Posts: 6966
Joined: Fri Feb 20, 2015 3:46 pm
Location: central NC, USA
Callsign: wk42
Version: git next
OS: Kubuntu 20.04

Re: libpng12-dev is not availabile

Postby abassign » Tue Oct 25, 2016 9:25 pm

I just installed from scratch Ubuntu version 10.16, unfortunately the library "libpng12-dev" is no longer available in the main repository.
I noticed that there "libjpeg-dev", so I changed the build script:

form Linux/Ubuntu build file: "download_and_compile.sh"
Code: Select all
## PKG="$PKG libopenal-dev libudev-dev qt5-default libdbus-1-dev libpng12-dev libplib-dev" this line I have replace with this:
PKG="$PKG libopenal-dev libudev-dev qt5-default libdbus-1-dev libpng-dev libplib-dev"


It seems to work, but it could be the fact that I do not install all modules, but only those that are filled with option ALL:

./download_and_compile.sh -j4 ALL

I'd like to know if what I have done makes sense or is it just a way to allow the compilation.

I run the program, it seems to work fine :) But the compile can not build FGRUN program :(
abassign
 
Posts: 849
Joined: Mon Feb 27, 2012 5:09 pm
Location: Italy (living 5 Km from airport LIME)
Callsign: I-BASSY
Version: 2018.3
OS: Linux Mint 19. x

Re: libpng12-dev is not availabile

Postby Amarildojr » Thu Nov 10, 2016 10:44 pm

It seems this package was removed in July, because of two bugs: https://launchpad.net/ubuntu/yakkety/amd64/libpng12-dev

Bug1 - https://bugs.launchpad.net/ubuntu/+sour ... bug/822318
Bug2 - https://bugs.launchpad.net/ubuntu/+sour ... ug/1595485

You can, however, download it and install it while it's not back in the repos (if it will ever come back): http://launchpadlibrarian.net/255287430 ... _amd64.deb

You can also download the source code and compile it.
https://launchpad.net/ubuntu/+source/li ... 4-1ubuntu1
Amarildojr
 
Posts: 94
Joined: Sat Jan 02, 2016 10:32 pm
Location: Basil
Callsign: TAM91
OS: Arch Linux

Re: libpng12-dev is not availabile

Postby wkitty42 » Thu Nov 10, 2016 11:01 pm

libpng v1.2 will likely never return to the repos... it has been superseded by libpng v1.6... libpng-dev is probably the proper way to go since it should determine the correct version based on the given distribution version...
"You get more air close to the ground," said Angalo. "I read that in a book. You get lots of air low down, and not much when you go up."
"Why not?" said Gurder.
"Dunno. It's frightened of heights, I guess."
User avatar
wkitty42
 
Posts: 6966
Joined: Fri Feb 20, 2015 3:46 pm
Location: central NC, USA
Callsign: wk42
Version: git next
OS: Kubuntu 20.04

Re: libpng12-dev is not availabile

Postby D-ECHO » Fri Nov 11, 2016 6:56 pm

And just so you know, ubuntu 10 is very old by now, maybe you should consider downloading a new one, there may be problems already fixed in newer version while everything behind 12 (Precise Pangolin) doesn't get any updates,, IIRC, Current version is 16.04 (LTS) or 16.10!
User avatar
D-ECHO
 
Posts: 2151
Joined: Sat May 09, 2015 12:31 pm

Re: libpng12-dev is not availabile

Postby wkitty42 » Sat Nov 12, 2016 10:07 pm

and ubuntu 14.04 is (still) LTS and fully supported until 2019... 10.04 went EOL in 2015...
https://wiki.ubuntu.com/LTS
"You get more air close to the ground," said Angalo. "I read that in a book. You get lots of air low down, and not much when you go up."
"Why not?" said Gurder.
"Dunno. It's frightened of heights, I guess."
User avatar
wkitty42
 
Posts: 6966
Joined: Fri Feb 20, 2015 3:46 pm
Location: central NC, USA
Callsign: wk42
Version: git next
OS: Kubuntu 20.04


Return to Compiling

Who is online

Users browsing this forum: No registered users and 1 guest